package cn.com.infosec.asn1.cmp;

import cn.com.infosec.asn1.ASN1Encodable;
import cn.com.infosec.asn1.ASN1Sequence;
import cn.com.infosec.asn1.DERObject;

public class POPODecKeyChallContent extends ASN1Encodable {
   private ASN1Sequence content;

   private POPODecKeyChallContent(ASN1Sequence seq) {
      this.content = seq;
   }

   public static POPODecKeyChallContent getInstance(Object o) {
      if (o instanceof POPODecKeyChallContent) {
         return (POPODecKeyChallContent)o;
      } else if (o instanceof ASN1Sequence) {
         return new POPODecKeyChallContent((ASN1Sequence)o);
      } else {
         throw new IllegalArgumentException("Invalid object: " + o.getClass().getName());
      }
   }

   public Challenge[] toChallengeArray() {
      int var1;
      Challenge[] var2 = new Challenge[var1 = this.content.size()];

      for(int var3 = 0; var3 != var1; ++var3) {
         var2[var3] = Challenge.getInstance(this.content.getObjectAt(var3));
      }

      return var2;
   }

   public DERObject toASN1Object() {
      return this.content;
   }
}
